PDA

View Full Version : Compiz and emerland not working?



Anji_fedora
4th March 2008, 12:48 AM
I have installe compiz and emerland theme through packet manager(As instruction given in www.howtofrog.com).

I have enabled desktop effect(aslo Workspace on cube and windows wobble)

Workspace on cube and windows wobble are working.

But if i make any changes in compizconfig setting manager or in emerland theme manager it is not going to take effect.

plz help :(

Ciph3rzer0
4th March 2008, 02:42 AM
I am having this same problem. Nothing ever changes no matter what changes I make in the manager.

Anji_fedora
4th March 2008, 01:10 PM
Plz help any one!!!

leigh123linux
4th March 2008, 01:16 PM
http://forums.fedoraforum.org/showthread.php?t=173234

Anji_fedora
4th March 2008, 06:00 PM
http://forums.fedoraforum.org/showthread.php?t=173234
___________________________
F8 x86_64 , F8 x86 , Debian Lenny x86 , Debian Etch x86 , Fedora 8.90 rawhide x86_64 , Mandriva 2008 x86_64
AMD athlon 64 3800 dual core
BiostarNF4ST-A9 mainboard
1GB DDR400 RAM
Nvidia Geforce 7600GT


Howto for fglrx (Ati driver) and XGL Compiz / Beryl

Fedora Guide/howto's for F8

Fedora Guide/howto's for F7

compiz-fusion-0.6.99 repo

compiz-fusion forum
Reply With Quote



In that topic i found link to latest version of compiz posted by you.
http://forums.fedoraforum.org/showthread.php?t=173317

To install compiz-fusion as mentioned in above post. Should i need to remove compiz installed now?

leigh123linux
4th March 2008, 06:08 PM
In that topic i found link to latest version of compiz posted by you.
http://forums.fedoraforum.org/showthread.php?t=173317

To install compiz-fusion as mentioned in above post. Should i need to remove compiz installed now?


Yes it would be best to remove compiz 0.6.2 first ( fedora version ) before installing compiz 0.7.1 ( fusion repo version built from git head snapshot ) and the old config files.

Anji_fedora
4th March 2008, 06:17 PM
1) How to delete old config file?



you will need to remove the fedora compiz packages first and delete /home/username/.gconf/apps/compiz

2) If that is old config file then i don't have .gconfig folder.

3) Is very first tread in that post is enough to install compiz-fusion or should i go through whole 49 pages of that thread?

leigh123linux
4th March 2008, 06:35 PM
1) How to delete old config file?



2) If that is old config file then i don't have .gconfig folder.

3) Is very first tread in that post is enough to install compiz-fusion or should i go through whole 49 pages of that thread?


1. Install the fusion repo


su
wget http://www.dfm.uninsubria.it/compiz/fusion/compiz-fusion.repo -O /etc/yum.repos.d/compiz-fusion.repo


2. Install compiz-fusion ( you will need to remove the fedora compiz packages first and delete the old compiz configuration files /home/username/.gconf/apps/compiz )


su
yum install compiz-all fusion-icon-all compiz-fusion-plugins-unsupported compiz-bcop ccsm emerald-themes

And to start it use fusion-icon as found in the menu or type fusion-icon in a terminal .

franciturci
4th March 2008, 06:57 PM
Hi. It's been some months i try to install compiz on Fedora 8. Now i try this way Leigh suggested, but I get so many errors

Transaction Check Error:
file /usr/lib/compiz/libanimation.so from install of compiz-fusion-plugins-main-0.6.99-14.fc8.i386 conflicts with file from package compiz-fusion-0.6.0-12.fc8.i386
file /usr/lib/compiz/libcolorfilter.so from install of compiz-fusion-plugins-main-0.6.99-14.fc8.i386 conflicts with file from package compiz-fusion-0.6.0-12.fc8.i386
file /usr/lib/compiz/libexpo.so from install of compiz-fusion-plugins-main-0.6.99-14.fc8.i386 conflicts with file from package compiz-fusion-0.6.0-12.fc8.i386
file /usr/lib/compiz/libezoom.so from install of compiz-fusion-plugins-main-0.6.99-14.fc8.i386 conflicts with file from package compiz-fusion-0.6.0-12.fc8.i386
file /usr/lib/compiz/libimgjpeg.so from install of compiz-fusion-plugins-main-0.6.99-14.fc8.i386 conflicts with file from package compiz-fusion-0.6.0-12.fc8.i386
file /usr/lib/compiz/libneg.so from install of compiz-fusion-plugins-main-0.6.99-14.fc8.i386 conflicts with file from package compiz-fusion-0.6.0-12.fc8.i386
file /usr/lib/compiz/libopacify.so from install of compiz-fusion-plugins-main-0.6.99-14.fc8.i386 conflicts with file from package compiz-fusion-0.6.0-12.fc8.i386
file /usr/lib/compiz/libput.so from install of compiz-fusion-plugins-main-0.6.99-14.fc8.i386 conflicts with file from package compiz-fusion-0.6.0-12.fc8.i386
file /usr/lib/compiz/libresizeinfo.so from install of compiz-fusion-plugins-main-0.6.99-14.fc8.i386 conflicts with file from package compiz-fusion-0.6.0-12.fc8.i386


et cetera

What shall i do? it is really a sad thing that i can't make the desktop 3d work on my ATIX1600, and it is sad to remember when on the old fedora 6 beryl happily worked on Xgl......

leigh123linux
4th March 2008, 07:00 PM
Hi. It's been some months i try to install compiz on Fedora 8. Now i try this way Leigh suggested, but I get so many errors

Transaction Check Error:
file /usr/lib/compiz/libanimation.so from install of compiz-fusion-plugins-main-0.6.99-14.fc8.i386 conflicts with file from package compiz-fusion-0.6.0-12.fc8.i386
file /usr/lib/compiz/libcolorfilter.so from install of compiz-fusion-plugins-main-0.6.99-14.fc8.i386 conflicts with file from package compiz-fusion-0.6.0-12.fc8.i386
file /usr/lib/compiz/libexpo.so from install of compiz-fusion-plugins-main-0.6.99-14.fc8.i386 conflicts with file from package compiz-fusion-0.6.0-12.fc8.i386
file /usr/lib/compiz/libezoom.so from install of compiz-fusion-plugins-main-0.6.99-14.fc8.i386 conflicts with file from package compiz-fusion-0.6.0-12.fc8.i386
file /usr/lib/compiz/libimgjpeg.so from install of compiz-fusion-plugins-main-0.6.99-14.fc8.i386 conflicts with file from package compiz-fusion-0.6.0-12.fc8.i386
file /usr/lib/compiz/libneg.so from install of compiz-fusion-plugins-main-0.6.99-14.fc8.i386 conflicts with file from package compiz-fusion-0.6.0-12.fc8.i386
file /usr/lib/compiz/libopacify.so from install of compiz-fusion-plugins-main-0.6.99-14.fc8.i386 conflicts with file from package compiz-fusion-0.6.0-12.fc8.i386
file /usr/lib/compiz/libput.so from install of compiz-fusion-plugins-main-0.6.99-14.fc8.i386 conflicts with file from package compiz-fusion-0.6.0-12.fc8.i386
file /usr/lib/compiz/libresizeinfo.so from install of compiz-fusion-plugins-main-0.6.99-14.fc8.i386 conflicts with file from package compiz-fusion-0.6.0-12.fc8.i386


et cetera

What shall i do? it is really a sad thing that i can't make the desktop 3d work on my ATIX1600, and it is sad to remember when on the old fedora 6 beryl happily worked on Xgl......


Well you still have a fedora compiz package installed which needs removing


su
yum erase compiz-fusion

Then try again

Anji_fedora
5th March 2008, 01:43 AM
Thanks leigh Working great.............

Anji_fedora
5th March 2008, 02:53 AM
Could you please tell how to do the same offline(By downloading backup file). My friend wants the same but he dont have net connection.

Anji_fedora
5th March 2008, 10:54 AM
How to start compiz with login?

franciturci
5th March 2008, 08:25 PM
Hi. I managed to install compiz-fusion components, but when i try to make it start it turns out this error

$ fusion-icon
* Detected Session: gnome
* Searching for installed applications...
* No GLX_EXT_texture_from_pixmap with direct rendering context
... present with indirect rendering, exporting: LIBGL_ALWAYS_INDIRECT=1
* Using the GTK Interface
* Starting Compiz
... executing: compiz --replace --sm-disable --ignore-desktop-hints ccp --indirect-rendering


what should i configure? maybe the xorg.conf?

franciturci
5th March 2008, 08:36 PM
Ah, i forgot to post my xorg.conf:

# Xorg configuration created by livna-config-display

Section "ServerLayout"
Identifier "Default Layout"
Screen 0 "Screen0" 0 0
InputDevice "Keyboard0" "CoreKeyboard"
InputDevice "Synaptics" "CorePointer"
Option "AIGLX" "true"
EndSection

Section "Files"
ModulePath "/usr/lib/xorg/modules"
EndSection

Section "Module"
Load "dbe"
Load "glx"
Load "dri"
Load "extmod"
EndSection

Section "ServerFlags"
Option "AIGLX" "on"
EndSection

Section "InputDevice"
Identifier "Keyboard0"
Driver "kbd"
Option "XkbModel" "pc105"
Option "XkbLayout" "it"
EndSection

Section "InputDevice"
Identifier "Synaptics"
Driver "synaptics"
Option "Device" "/dev/input/mice"
Option "Protocol" "auto-dev"
Option "Emulate3Buttons" "yes"
EndSection

Section "Device"
Identifier "Videocard0"
Driver "fglrx"
Option "UseInternalAGPGART" "no"
Option "UseFastTLS" "0"
Option "BlockSignalsOnLock" "on"
Option "ForceGenericCPU" "off"
Option "KernelModuleParm" "locked-userpages=0"
Option "OpenGLOverlay" "off"
Option "VideoOverlay" "on"

EndSection

Section "Screen"
Identifier "Screen0"
Device "Videocard0"
DefaultDepth 24
SubSection "Display"
Viewport 0 0
Depth 24
EndSubSection
EndSection

Section "DRI"
Mode 0666
EndSection

Section "Extensions"
Option "Composite" "Enable"
EndSection